KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm reset - Performs a best effort revert of changes made to this host by 'kubeadm init' or 'kubeadm join'

SYNOPSIS

kubeadm reset [OPTIONS]

DESCRIPTION

Performs a best effort revert of changes made to this host by 'kubeadm init' or 'kubeadm join'

The "reset" command executes the following phases:
    preflight           Run reset pre-flight checks
    remove-etcd-member  Remove a local etcd member.
    cleanup-node        Run cleanup node.

OPTIONS

--cert-dir="/etc/kubernetes/pki"
    The path to the directory where the certificates are stored. If specified, clean this directory.

--cleanup-tmp-dir=false
    Cleanup the "/etc/kubernetes/tmp" directory

--config=""
    Path to a kubeadm configuration file.

--cri-socket=""
    Path to the CRI socket to connect. If empty kubeadm will try to auto-detect this value; use this option only if you have more than one CRI installed or if you have non-standard CRI socket.

--dry-run=false
    Don't apply any changes; just output what would be done.

-f, --force=false
    Reset the node without prompting for confirmation.

--ignore-preflight-errors=[]
    A list of checks whose errors will be shown as warnings. Example: 'IsPrivilegedUser,Swap'. Value 'all' ignores errors from all checks.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--skip-phases=[]
    List of phases to be skipped

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm(1), kubeadm-reset-phase(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!